GET/shops/list

List Shops

This API call retrieves the list of shops defined in your account.
GET/shops/list

Parameter Details

NameInTypeRequiredDescription
shopsPerPagequeryintegerOptionalThe number of items to display in a page
pageNumberqueryintegerOptionalIndicates the current page number
  • shopsPerPage: Number of items to return per page. Max allowed is 100.
  • pageNumber: Specifies the page of results to retrieve. Default is 1.

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /shops/list \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
[
  {
    "totalRecords": 2,
    "fetchedRecords": 2,
    "totalPages": 1,
    "currentPage": 1,
    "pageSize": 10,
    "shops": [
      {
        "shopId": 1001,
        "shopName": "My Shop",
        "markets": [
          {
            "pickupLocation": "US",
            "dropLocation": "United States"
          }
        ],
        "websiteCode": [
          1
        ],
        "cob": "US",
        "lor": 1,
        "currency": "USD",
        "horizon": 30,
        "horizonDow": [],
        "pickupTime": "10:30",
        "dropTime": "10:30"
      }
    ]
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.